using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SystemX.Product.TRA.UIControl;
using static SystemX.Product.ALIS.UI.View.ViewCfg;

namespace SystemX.Product.ALIS.Interface
{
    public interface IChildController
    {
        void SetOverview();

        void SetDetailOverview();

        void SetHistoryView();

        void SetSummaryView();

        void CallDetailOverView();

        void AnnounceContentsType(eContents GetType);

        bool GetOverviewMergeState();

        SelectedDataCollection GetSelectDataOverView(int nDataValue = int.MaxValue);

        void SetNgHistView(eContents GetCallType);
    }
}
